/************************************************************************/
/*			Misceleanous					*/
/************************************************************************/
/*
 *		mail
 */
const sequence mail_sequences [] = { 
  /* We don't want these to be comments, because of --strip */
  a2_sequence(`^> ', PLAIN, keyword, $, keyword),
  a2_sequence(^Subject:, keyword_strong, label_strong | TAG1, $, plain),
  a2_sequence(^From:, keyword_strong, label_strong | TAG2, $, plain),
  a2_sequence(^X-Sun-Data-Name:, keyword_strong, label, $, plain),

  /* headers of big interest */
  a2_line_sequences(comment_strong, ^To:, ^Date:, ^Date, ^Lines:,
^Organization:, ^Address:),

  /* headers of small interest */
  a2_line_sequences(comment, ^approved:, ^article-, ^autoforwarded:,
^buzzword, ^content-identifier:, ^content-transfer-encoding:,
^Content-Type:, ^Distribution: , ^email-version:, ^errors-to:, ^from,
^fruit, ^in-reply-to:, ^lat, ^libi, ^Message-, ^Message-id:,
^Mime-Version:, ^mmdf, ^mood, ^Newsgroups: , ^network-, ^neuron,
^NNTP-Posting-Host:, ^organisation:, ^origin, ^original, ^Path: ,
^phase, ^phone:, ^post, ^really-, ^received:, ^References: , ^relay-,
^reply-to:, ^resent, ^return, ^return-path:, ^Sender: , ^sensitivity:,
^sent:, ^source, ^status:, ^sun, ^telefax:, ^telephone,
^transport-options:, ^ua-content-id:, ^via:, ^warnings-to:,
^x-char-esc:, ^x-comment:, ^x-face, ^x-facsimile:, ^x-filter:,
^x-how-to-reach-us:, ^x-hpmail, ^x-lines, ^x-lines:, ^x-location,
^x-mailer:, ^x-mts:, ^X-Newsreader:, ^x-sent-by-nmail-v, ^x-sequence:,
^x-sun-charset:, ^x-sun-content-lines:, ^x-sun-data-description:,
^x-sun-data-type:, ^x-telephone:, ^x-vm-v5-data:, ^x400-content-type:,
^x400-mts-identifiers:, ^x400-received:, ^x400-recipients:, ^Xref:),

  ENDSEQUENCE
};
const uchar mail_characters [] = {
  'A', 'Z',
  'a', 'z',
  ':', ':',
  '_', '_',
  '-', '-',
  '\0'
};
const keyword mail_keywords [] = {
  ENDKEYWORD
};
const symbol mail_specials [] = {
  a2_symbol(=E0, `', PLAIN),
  a2_symbol(=E1, `', PLAIN),
  a2_symbol(=E2, `', PLAIN),
  a2_symbol(=E8, `', PLAIN),
  a2_symbol(=E9, `', PLAIN),
  a2_symbol(=EA, `', PLAIN),
  a2_symbol(=F4, `', PLAIN),
  a2_symbol(=F9, `', PLAIN),
  a2_symbol(=\n, `', INVISIBLE),
  ENDSYMBOL
};
const char * mail_abbreviations []= {
  "news", "mail", "\0"
};
const uchar  mail_description [] = "\
To use from elm and others, it is better to specify -gEmail, \
since the file sent to printer is no longer trully a mailfolder.  \
This style also suits to news.  --strip options are also useful \
(they strip \"useless\" headers).";
#define mail_style_def { mail_style, "mailfolder",  			\
  mail_abbreviations, mail_description, 				\
  CASE_SENSITIVE, mail_characters, mail_characters, mail_keywords,	\
  NOSYMBOL, mail_specials, mail_sequences, EMPTY, EMPTY }

/*
 *		Postscript
 */
const sequence postscript_sequences [] = { 
  a2_sequence(%!, comment, comment_strong, $, comment),
  a2_sequence(%%, comment, comment_strong, $, comment),
  a2_sequence(%,  comment, comment, $, comment),
  a2_sequence(`(', plain, string, `)', plain),
  ENDSEQUENCE
};
const uchar* postscript_verbatims [] = {
  (ustring) "\\\\", (ustring) "\\(", (ustring) "\\)", UNULL
};
const uchar postscript_characters [] = {
  'A', 'Z',
  'a', 'z',
  '_', '_',
  '\\', '\\',
  '\0'
};
const keyword postscript_keywords [] = {
  a2_keyword(KEYWORD_STRONG, add, arc, array, begin, bind, clip,
charpath, closepath, copy, currentdict, currentfont, curveto, def,
definefont, dict, div, dup, end, eq, exch, fill, for, forall,
findfont, get, ge, grestore, gsave, gt, if, ifelse, index, known,
length, le, lineto, lt, moveto, mul, neg, newpath, pop, put, restore,
rlineto, rmoveto, roll, rotate, save, scale, scalefont,
setcachedevice, setfont, setgray, setlinewidth, show, showpage,
stringwidth, stroke, sub, translate, where, xor)

  a2_keyword(keyword, true, false)
   ENDKEYWORD
};
const symbol postscript_regulars [] = {
#if 0
  a2_and(&&),
  a2_or(||),
  a2_oplus(^^),
#endif
  a2_leq(le),
  a2_geq(ge),
  a2_equiv(eq),
  a2_neq(ne),
  ENDSYMBOL
};
const char * postscript_abbreviations []= {
  "postscript", "ps", "\0"
};
const uchar  postscript_description [] = "";
#define postscript_style_def { postscript_style, "PostScript",		\
  postscript_abbreviations, postscript_description,			\
  CASE_SENSITIVE, postscript_characters, postscript_characters,		\
  postscript_keywords, postscript_regulars, NOSYMBOL, postscript_sequences,\
  postscript_verbatims, EMPTY }

#ifdef HTML_STYLE
/*
 *		HTML
 * note: this is almost a joke since it does not work very well.
 */
const sequence html_sequences [] = { 
  a2_sequence(<TITLE>, ITALIC, BOLD, </TITLE>, ITALIC),
  a2_sequence(<TT>, ITALIC, PLAIN, </TT>, ITALIC),
  a2_line_sequences(comment, %)m
  ENDSEQUENCE
};
const uchar html_characters [] = {
  'A', 'Z',
  'a', 'z',
  '_', '_',
  '/', '/',
  '<', '<',
  '>', '>',
  '\0'
};
const keyword html_keywords [] = {
  a2_keyword(KEYWORD, <HTML>, </HTML>, <BODY>, </BODY>)
   ENDKEYWORD
};
const char * html_abbreviations []= {
  "\0"
};
const uchar  html_description [] = "";
#define html_style_def { html_style, "html", 				\
  html_abbreviations, html_description, 		\
  CASE_SENSITIVE, html_characters, html_characters,   	\
  html_keywords, NOSYMBOL, NOSYMBOL, html_sequences, EMPTY, EMPTY }
#endif
